# Asterisk Project : Asterisk 13 Application_MeetMe

Created by wikibot on Aug 08, 2014

# MeetMe()

### Synopsis

MeetMe conference bridge.

### Description

Enters the user into a specified MeetMe conference. If the confno is omitted, the user will be prompted to enter one. User can exit the conference by hangup, or if the `p` option is specified, by pressing `#`.

Note

Icon

The DAHDI kernel modules and a functional DAHDI timing source (see dahdi_test) must be present for conferencing to operate properly. In addition, the chan_dahdi channel driver must be loaded for the `i` and `r` options to operate at all.

### Syntax

    MeetMe([confno,[options,[pin]]])

##### Arguments

- `confno` - The conference number
- `options`
  - `a` - Set admin mode.
  - `A` - Set marked mode.
  - `b` - Run AGI script specified in `MEETME_AGI_BACKGROUND` Default: `conf-background.agi`.
  - `c` - Announce user(s) count on joining a conference.
  - `C` - Continue in dialplan when kicked out of conference.
  - `d` - Dynamically add conference.
  - `D` - Dynamically add conference, prompting for a PIN.
  - `e` - Select an empty conference.
  - `E` - Select an empty pinless conference.
  - `F` - Pass DTMF through the conference.
  - `G` - Play an intro announcement in conference.
    - `x` - The file to playback
  - `i` - Announce user join/leave with review.
  - `I` - Announce user join/leave without review.
  - `k` - Close the conference if there's only one active participant left at exit.
  - `l` - Set listen only mode (Listen only, no talking).
  - `m` - Set initially muted.
  - `M` - Enable music on hold when the conference has a single caller. Optionally, specify a musiconhold class to use. If one is not provided, it will use the channel's currently set music class, or `default`.
    - `class`
  - `n` - Disable the denoiser. By default, if `func_speex` is loaded, Asterisk will apply a denoiser to channels in the MeetMe conference. However, channel drivers that present audio with a varying rate will experience degraded performance with a denoiser attached. This parameter allows a channel joining the conference to choose not to have a denoiser attached without having to unload `func_speex`.
  - `o` - Set talker optimization - treats talkers who aren't speaking as being muted, meaning (a) No encode is done on transmission and (b) Received audio that is not registered as talking is omitted causing no buildup in background noise.
  - `p` - Allow user to exit the conference by pressing `#` (default) or any of the defined keys. Dial plan execution will continue at the next priority following MeetMe. The key used is set to channel variable `MEETME_EXIT_KEY`.
    - `keys`
  - `P` - Always prompt for the pin even if it is specified.
  - `q` - Quiet mode (don't play enter/leave sounds).
  - `r` - Record conference (records as `MEETME_RECORDINGFILE` using format `MEETME_RECORDINGFORMAT`. Default filename is `meetme-conf-rec-${CONFNO}-${UNIQUEID`} and the default format is wav.
  - `s` - Present menu (user or admin) when `*` is received (send to menu).
  - `t` - Set talk only mode. (Talk only, no listening).
  - `T` - Set talker detection (sent to manager interface and meetme list).
  - `v` - Announce when a user is joining or leaving the conference. Use the voicemail greeting as the announcement. If the i or I options are set, the application will fall back to them if no voicemail greeting can be found.
    - `mailbox@context` - The mailbox and voicemail context to play from. If no context provided, assumed context is default.
  - `w` - Wait until the marked user enters the conference.
    - `secs`
  - `x` - Leave the conference when the last marked user leaves.
  - `X` - Allow user to exit the conference by entering a valid single digit extension `MEETME_EXIT_CONTEXT` or the current context if that variable is not defined.
  - `1` - Do not play message when first person enters
  - `S` - Kick the user x seconds after he entered into the conference.
    - `x`
  - `L` - Limit the conference to x ms. Play a warning when y ms are left. Repeat the warning every z ms. The following special variables can be used with this option:
    - `CONF_LIMIT_TIMEOUT_FILE` - File to play when time is up.
    - `CONF_LIMIT_WARNING_FILE` - File to play as warning if y is defined. The default is to say the time remaining.
    - `x`
    - `y`
    - `z`
- `pin`

### See Also

- Asterisk 13 Application_MeetMeCount
- Asterisk 13 Application_MeetMeAdmin
- Asterisk 13 Application_MeetMeChannelAdmin

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538